Subject: Re: [linux-usb-devel] Re: [2.6 patch] remove unused tmp_buf_sem's

From: Alan Cox <[email-masked]>
Date: Sun, 15 Jan 2006 15:46:16 +0000

On Gwe, 2006-01-13 at 19:49 -0800, Greg KH wrote:
> On Sat, Jan 14, 2006 at 03:08:16AM +0100, Adrian Bunk wrote:
> > <--  snip  -->
> > 
> > 
> > tmp_buf_sem sems to be a common name for something completely unused...

That would be correct. The old tty driver layer used to call ->write
from both kernel and user contexts according to a flag. Drivers then all
ended up with the same code copying it into a tmp buffer and using a
locking semaphore. 

Linus took out that code and arranged that ->write always got a kernel
buffer so the remainders should indeed go.

Alan